Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.syndication.feed.atom
Class Category

    java.lang.Object
      com.sun.syndication.feed.atom.Category

All Implemented Interfaces:
  Serializable, Cloneable

    public class Category

extends Object
implements Cloneable, Serializable

Bean for category elements of Atom feeds.

Author:
  Dave Johnson (added for Atom 1.0)
See Also:
  Serialized Form

Constructor Summary
`Category()` Default constructor.

Method Summary
`Object` | `clone()` Creates a deep 'bean' clone of the object.
`boolean` | `equals(Object other)` Indicates whether some other object is "equal to" this one as defined by the Object equals() method.
`String` | `getLabel()` Get label for category.
`String` | `getScheme()` Get Scheme URI for category.
`String` | `getSchemeResolved()`
`String` | `getTerm()` Return term for category.
`int` | `hashCode()` Returns a hashcode value for the object.
`void` | `setLabel(String label)` Set label for category.
`void` | `setScheme(String scheme)` Set scheme URI for category.
`void` | `setSchemeResolved(String schemeResolved)`
`void` | `setTerm(String term)` Set term for category.
`String` | `toString()` Returns the String representation for the object.

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Category

    public Category()

  Default constructor. All properties are set to null.

Method Detail

### clone

    public Object clone()
                 throws CloneNotSupportedException

  Creates a deep 'bean' clone of the object.

  Overrides:
    `clone` in class `Object`
  Returns:
    a clone of the object.
  Throws:
    `CloneNotSupportedException` - thrown if an element of the object cannot be cloned.

### equals

    public boolean equals(Object other)

  Indicates whether some other object is "equal to" this one as defined by the Object equals() method.

  Overrides:
    `equals` in class `Object`
  Parameters:
    `other` - he reference object with which to compare.
  Returns:
    true if 'this' object is equal to the 'other' object.

### hashCode

    public int hashCode()

  Returns a hashcode value for the object.

  It follows the contract defined by the Object hashCode() method.

  Overrides:
    `hashCode` in class `Object`
  Returns:
    the hashcode of the bean object.

### toString

    public String toString()

  Returns the String representation for the object.

  Overrides:
    `toString` in class `Object`
  Returns:
    String representation for the object.

### getLabel

    public String getLabel()

  Get label for category.

  Returns:
    Label for category.

### setLabel

    public void setLabel(String label)

  Set label for category.

  Parameters:
    `label` - Label for category.

### getScheme

    public String getScheme()

  Get Scheme URI for category.

  Returns:
    Scheme URI for category.

### setScheme

    public void setScheme(String scheme)

  Set scheme URI for category.

  Parameters:
    `scheme` - Scheme URI for category.

### setSchemeResolved

    public void setSchemeResolved(String schemeResolved)

### getSchemeResolved

    public String getSchemeResolved()

### getTerm

    public String getTerm()

  Return term for category.

  Returns:
    Term for category.

### setTerm

    public void setTerm(String term)

  Set term for category.

  Parameters:
    `term` - Term for category.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2013 ROME Project. All Rights Reserved.